javax.faces.component.html

## Class HtmlColumn

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIColumn
      - - javax.faces.component.html.HtmlColumn

- All Implemented Interfaces:
    EventListener, PartialStateHolder, StateHolder, TransientStateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

      public class HtmlColumn
      extends UIColumn

  Represents a column that will be rendered in an HTML `table` element.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HtmlColumn.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_TYPE` The standard component type for this component.

    - ### Fields inherited from class javax.faces.component.UIColumn

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlColumn()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFooterClass()` Return the value of the `footerClass` property.
    `String` | `getHeaderClass()` Return the value of the `headerClass` property.
    `boolean` | `isRowHeader()` Return the value of the `rowHeader` property.
    `void` | `setFooterClass(String footerClass)` Set the value of the `footerClass` property.
    `void` | `setHeaderClass(String headerClass)` Set the value of the `headerClass` property.
    `void` | `setRowHeader(boolean rowHeader)` Set the value of the `rowHeader` property.

    - ### Methods inherited from class javax.faces.component.UIColumn

      `getFamily, getFooter, getHeader, setFooter, setHeader`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      The standard component type for this component.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlColumn

          public HtmlColumn()

  - ### Method Detail

    - #### getFooterClass

          public String getFooterClass()

      Return the value of the `footerClass` property.

      Contents: Space-separated list of CSS style class(es) that will be applied to any footer generated for this column.

    - #### setFooterClass

          public void setFooterClass(String footerClass)

      Set the value of the `footerClass` property.

    - #### getHeaderClass

          public String getHeaderClass()

      Return the value of the `headerClass` property.

      Contents: Space-separated list of CSS style class(es) that will be applied to any header generated for this column.

    - #### setHeaderClass

          public void setHeaderClass(String headerClass)

      Set the value of the `headerClass` property.

    - #### isRowHeader

          public boolean isRowHeader()

      Return the value of the `rowHeader` property.

      Contents: Flag indicating that this column is a row header column and therefore cells in this column should be rendered with "th" instead of "td" and must have the 'scope="row"' attribute.

    - #### setRowHeader

          public void setRowHeader(boolean rowHeader)

      Set the value of the `rowHeader` property.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.